#taken from: https://stackoverflow.com/questions/29954815/merge-multiple-declarative-bases-in-sqlalchemy
from sqlalchemy import MetaData
from sqlalchemy.ext.declarative import declarative_base
from .models_core import (
        StationmetaCore,
        Base as StationmetaCoreBase)
from .models_global import (
        StationmetaGlobal,
        Base as StationmetaGlobalBase)
from .models_global_services import (
        StationmetaGlobalService,
        Base as StationmetaGlobalServiceBase)
from .models_role import (
        StationmetaRole,
        Base as StationmetaRoleBase)
from .models_annotation import (
        StationmetaAnnotation,
        Base as StationmetaAnnotationBase)
from .models_aux import (
        StationmetaAuxDoc, StationmetaAuxImage, StationmetaAuxUrl,
        Base as StationmetaAuxBase)

Base = declarative_base()
metadata = MetaData()

for declarative_base in [StationmetaCoreBase, StationmetaGlobalBase, StationmetaGlobalServiceBase,
                         StationmetaRoleBase, StationmetaAnnotationBase, StationmetaAuxBase]:
    for (table_name, table) in declarative_base.metadata.tables.items():
        metadata._add_table(table_name, table.schema, table)

Base.metadata = metadata
